<?php

// replace [your login] with the email you use to login into JotUrl
define( 'SDK_USER_NAME', '[your login]' );
// replace [public key] with your public key: https://www.joturl.com/reserved/settings.html#tools-api
define( 'SDK_PUBLIC_API_KEY', '[public key]' );
// replace [private key] with your private key: https://www.joturl.com/reserved/settings.html#tools-api
define( 'SDK_PRIVATE_API_KEY', '[private key]' );

require_once 'sdk/JotUrlSDK.php';

try {
	// create an instance of JotUrlSDK
	$joturl = new JotUrlSDK( SDK_USER_NAME, SDK_PUBLIC_API_KEY, SDK_PRIVATE_API_KEY );

	$joturl->wrapper( function ( $sdk ) {
		// get logged user information
		$url = $sdk->buildURL( 'users/info' );
		echo "Getting user info" . PHP_EOL;
		$result = $sdk->call( $url );
		echo "====== USER INFO ======" . PHP_EOL;
		print_r( $result );
	} );

	$joturl->wrapper( function ( $sdk ) {
		// get first 5 projects
		$url = $sdk->buildURL( 'projects/list', array( "fields" => "id,name", "length" => 5 ) );
		echo "Getting first 5 projects (if available)" . PHP_EOL;
		$result = $sdk->call( $url );
		echo "====== PROJECTS ======" . PHP_EOL;
		print_r( $result );
	} );
} catch ( Throwable $t ) {
	die( $t->getMessage() );
}