```php
<?php

/**
 * Creates an instance of the JotUrl SDK.
 *
 * @param string $username    the username used to login into JotURL dashboard
 * @param string $public_key  public api key, you can find it on https://www.joturl.com/reserved/settings.html#tools-api
 * @param string $private_key private api key, you can find it on https://www.joturl.com/reserved/settings.html#tools-api
 */
new JotUrlSDK( $username, $public_key, $private_key );

/**
 * Automatically try to access the JotURL API, the callback is called if the access is successful.
 *
 * @param mixed $callback callback to be called on success
 *
 * @return mixed value returned by the $callback function, an exception is thrown on error
 */
function wrapper( $callback );

/**
 * Given an endpoint and parameters (optional) returns the URL to be called.
 *
 * @param string $endpoint   endpoint to be called
 * @param array  $parameters associative array [param => value]
 *
 * @return string the URL to be called
 */
function buildURL( $endpoint, $parameters = array() );

/**
 * Call and get results from the API endpoint.
 *
 * @param string $url            URL to be called
 * @param array  $postParameters [OPTIONAL] array containing post parameters
 *
 * @return bool|array associative array containing the result of the call
 */
function call( $url, $postParameters = array() );
```